# generated by datamodel-codegen:
#   filename:  discovery_result.json

from __future__ import annotations

from dataclasses import dataclass
from typing import List

from . import error_message, test_item, warning_message


@dataclass
class DiscoveryResult:
    """
    Pytest Discover Result
    """

    pytest_version: str
    """
    The version of pytest that generated the report
    """
    plugin_version: str
    """
    The version of the plugin that generated the report
    """
    exit_status: int
    """
    The exit status of the pytest run
    """
    errors: List[error_message.ErrorMessage]
    """
    Errors generated during the discovery process
    """
    warnings: List[warning_message.WarningMessage]
    """
    Warnings generated during the discovery process
    """
    items: List[test_item.TestItem]
    """
    The collected items
    """
